Main Page Widgets Namespaces Book

# Gtk::HPaned Class Reference
[Widgets]

Inheritance diagram for Gtk::HPaned:

[legend]
List of all members.

## Detailed Description

The Gtk::HPaned widget is a container widget with two children arranged horizontally.

The division between the two panes is adjustable by the user by dragging a handle. See Gtk::Paned for details.

## Public Member Functions
const GtkHPaned* | gobj () const
| Provides access to the underlying C GtkObject.
GtkHPaned* | gobj ()
| Provides access to the underlying C GtkObject.
| HPaned ()
virtual | ~HPaned ()
## Related Functions
(Note that these are not member functions.)
Gtk::HPaned* | wrap (GtkHPaned* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::HPaned::~HPaned | ( |  | ) | `[virtual]`

Gtk::HPaned::HPaned | ( |  | ) |

## Member Function Documentation

const GtkHPaned* Gtk::HPaned::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Paned.

GtkHPaned* Gtk::HPaned::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Paned.

## Friends And Related Function Documentation

Gtk::HPaned* wrap | ( | GtkHPaned* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- paned.h